package org.dromara.ygpassport.domain.dto;

import io.github.linpeilie.annotations.AutoMapper;
import lombok.Data;
import org.dromara.ygpassport.domain.bo.CareerPlansBo;
import org.dromara.ygpassport.domain.vo.CareerPlansVo;

import java.io.Serial;

@Data
@AutoMapper(target = CareerPlansBo.class, reverseConvertGenerate = false)
public class WxCareerPlansDto {

    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * 编号
     */
    private Long id;

    /**
     * 学生学号
     */
    private String stuNo;

    /**
     * 学期
     */
    private Long semester;

    /**
     * 上传文件路径
     */
    private String path;

    public WxCareerPlansDto() {
    }

    public WxCareerPlansDto(CareerPlansVo careerPlansVo) {
        this.id = careerPlansVo.getId();
        this.stuNo = careerPlansVo.getStuNo();
        this.semester = careerPlansVo.getSemester();
        this.path = careerPlansVo.getPath();
    }

}
